<div class="export-appt-container d-flex flex-column h-100">
  <div class="mb-2 normal_14px_22px_font" style="color: #1c1b1b; padding: 0 20px;">
    Please select the Wait List to export / email / sms
  </div>

  <div class="appt-list-container flex-fill" style="margin: 0 20px;">
    <ul class="p-0 m-0" style="list-style: none;">
      <li class="normal_14px_22px_font d-flex align-items-center" *ngFor="let wl of apptListFiltered; let i = index;"
          style="color: #1c1b1b; cursor:pointer;"
          [class.appt-export-item-selected]="wl['isSelected']" (click)="selectItem($event, i)">
        <mat-icon class="m-0 mr-2" style="width: 18px; height: 18px; font-size: 18px; color: white;" *ngIf="wl.highPriority">warning</mat-icon>
        <span>{{wl.patientName}}</span>
        <span *ngIf="wl.gender">({{wl.gender.substr(0, 1)}})</span>
        <span>, Expiry: {{wl.expiryDate | timeFormat: 'DD MMM YYYY'}}</span>
      </li>
    </ul>
  </div>

  <div class="export-appt-footer-container" style="padding: 0 20px;">

    <div class="mb-3 mt-2" style="font-size:12px;color: #575757;">
      <div>Hold Shift to Select range.</div>
      <div>Hold Ctrl/Cmd to Select individual notes.</div>
    </div>
  </div>

  <div class="app-popup-footer text-right">

    <button mat-stroked-button class="preview-btn" (click)="preview()">
      Export
    </button>

    <button mat-stroked-button class="preview-btn ml-2" (click)="preview()">
      Email
    </button>

    <button mat-raised-button class="preview-btn ml-2" (click)="preview()">
      SMS
    </button>

  </div>
</div>
